diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index e8e8694..b53d91e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -21421,9 +21421,9 @@ EuclideanGroebnerBasisPackage(Dom, Expon, VarSet, Dpol): T == C where
                   xx:= 2
               " go to top of while "
          H:= updatH(eh,H,crithdelH(eh,H),[eh])
-         H:= sort( (degree #1 > degree #2) or
-             ((degree #1 = degree #2 ) and
-                 sizeLess?(leadingCoefficient #2,leadingCoefficient #1)), H)
+         H:= sort((z1,z2)+-> (degree z1 > degree z2) or
+             ((degree z1 = degree z2 ) and
+                 sizeLess?(leadingCoefficient z2,leadingCoefficient z1)), H)
          if xx2 = 1 then
            ala:= prindINFO(D0,ep,eh,#H, #D, xx)
            xx:= 2
diff --git a/changelog b/changelog
index 441108d..b1e3e48 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090518 tpd src/axiom-website/patches.html 20090518.03.tpd.patch
+20090518 tpd books/bookvol10.4 GBEUCLID +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.02.tpd.patch
 20090518 tpd books/bookvol10.3 SMP +-> conversion
 20090518 tpd src/axiom-website/patches.html 20090518.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2972de6..605a5aa 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1342,5 +1342,7 @@ bookvol10.4 ELFUTS +-> conversion<br/>
 bookvol10.4 GBEUCLID +-> conversion<br/>
 <a href="patches/20090518.02.tpd.patch">20090518.02.tpd.patch</a>
 bookvol10.2 SMP +-> conversion<br/>
+<a href="patches/20090518.03.tpd.patch">20090518.03.tpd.patch</a>
+bookvol10.4 GBEUCLID +-> conversion<br/>
  </body>
 </html>
